## org.eclipse.datatools.enablement.sybase.asa.base.catalog
Class SybaseASACatalogBaseUserDefinedDataType

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.FlatEObjectImpl
                      org.eclipse.datatools.modelbase.sql.schema.impl.EModelElementImpl
                          org.eclipse.datatools.modelbase.sql.schema.impl.ENamedElementImpl
                              org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
                                  org.eclipse.datatools.modelbase.sql.datatypes.impl.DataTypeImpl
                                      org.eclipse.datatools.modelbase.sql.datatypes.impl.UserDefinedTypeImpl
                                          org.eclipse.datatools.modelbase.sql.datatypes.impl.DistinctUserDefinedTypeImpl
                                              org.eclipse.datatools.modelbase.sql.datatypes.impl.DomainImpl
                                                  org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel.impl.SybaseASABaseUserDefinedTypeImpl
                                                      org.eclipse.datatools.enablement.sybase.asa.base.catalog.SybaseASACatalogBaseUserDefinedDataType

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable, ICatalogObject, SybaseASABaseUserDefinedType, DataType, DistinctUserDefinedType, Domain, UserDefinedType, SQLObject, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject

    public class SybaseASACatalogBaseUserDefinedDataType

extends SybaseASABaseUserDefinedTypeImpl
implements ICatalogObject, org.eclipse.core.runtime.IAdaptable

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`static int` `BATCH_LOAD_THRESHHOLD`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`SybaseASACatalogBaseUserDefinedDataType()`

Method Summary
`boolean` `eIsSet(org.eclipse.emf.ecore.EStructuralFeature eFeature)`
`java.lang.Object` `getAdapter(java.lang.Class adapter)`
`Database` `getCatalogDatabase()`
`java.sql.Connection` `getConnection()`
`org.eclipse.emf.common.util.EList` `getConstraint()` Returns the value of the 'Constraint' containment reference list.
`TypeOfDefault` `getDefaultType()`
`java.lang.String` `getDefaultValue()` Returns the value of the 'Default Value' attribute.
`AllowNullType` `getNullable()`
`PredefinedDataType` `getPredefinedRepresentation()` Returns the value of the 'Predefined Representation' containment reference.
`static SQLObject` `getSQLObject(java.util.List sqlObjs, java.lang.String objName)`
`org.eclipse.emf.common.util.EList` `getSuperConstraint()`
`void` `refresh()`

Methods inherited from class org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel.impl.SybaseASABaseUserDefinedTypeImpl
`eGet, eIsSet, eSet, eUnset, getGlobalIncrementPartitionSize, isLiteralDefault, setDefaultType, setNullable, toString`

Methods inherited from class org.eclipse.datatools.modelbase.sql.datatypes.impl.DomainImpl
`eInverseRemove, setDefaultValue`

Methods inherited from class org.eclipse.datatools.modelbase.sql.datatypes.impl.DistinctUserDefinedTypeImpl
`basicSetPredefinedRepresentation, setPredefinedRepresentation`

Methods inherited from class org.eclipse.datatools.modelbase.sql.datatypes.impl.UserDefinedTypeImpl
`basicGetSchema, basicSetOrdering, basicSetSchema, eInverseAdd, getOrdering, getSchema, setOrdering, setSchema`

Methods inherited from class org.eclipse.datatools.modelbase.sql.datatypes.impl.DataTypeImpl
`setContainer`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eURIFragmentSegment, getEAnnotations`

Methods inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eIsProxy, eProxyURI, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.datatypes.Domain
`setDefaultValue`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.datatypes.DistinctUserDefinedType
`setPredefinedRepresentation`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.datatypes.UserDefinedType
`getOrdering, getSchema, setOrdering, setSchema`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.datatypes.DataType
`setContainer`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### BATCH_LOAD_THRESHHOLD

    public static final int BATCH_LOAD_THRESHHOLD

See Also:
  Constant Field Values

Constructor Detail

### SybaseASACatalogBaseUserDefinedDataType

    public SybaseASACatalogBaseUserDefinedDataType()

Method Detail

### getCatalogDatabase

    public Database getCatalogDatabase()

  Specified by:
    `getCatalogDatabase` in interface `ICatalogObject`

### getConnection

    public java.sql.Connection getConnection()

  Specified by:
    `getConnection` in interface `ICatalogObject`

### refresh

    public void refresh()

  Specified by:
    `refresh` in interface `ICatalogObject`

### eIsSet

    public boolean eIsSet(org.eclipse.emf.ecore.EStructuralFeature eFeature)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.EObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### getPredefinedRepresentation

    public PredefinedDataType getPredefinedRepresentation()

  Description copied from interface: `DistinctUserDefinedType`
  Returns the value of the 'Predefined Representation' containment reference.

  If the meaning of the 'Predefined Representation' reference isn't clear, there really should be more of a description here...

  Specified by:
    `getPredefinedRepresentation` in interface `DistinctUserDefinedType`
  Overrides:
    `getPredefinedRepresentation` in class `org.eclipse.datatools.modelbase.sql.datatypes.impl.DistinctUserDefinedTypeImpl`
  Returns:
    the value of the 'Predefined Representation' containment reference.
  See Also:
    `DistinctUserDefinedType.setPredefinedRepresentation(PredefinedDataType)`, `SQLDataTypesPackage.getDistinctUserDefinedType_PredefinedRepresentation()`

### getDefaultType

    public TypeOfDefault getDefaultType()

  Description copied from class: `SybaseASABaseUserDefinedTypeImpl`

  Specified by:
    `getDefaultType` in interface `SybaseASABaseUserDefinedType`
  Overrides:
    `getDefaultType` in class `SybaseASABaseUserDefinedTypeImpl`
  Returns:
    the value of the 'Default Type' attribute.
  See Also:
    `TypeOfDefault`, `SybaseASABaseUserDefinedType.setDefaultType(TypeOfDefault)`, `SybaseasabasesqlmodelPackage.getSybaseASABaseUserDefinedType_DefaultType()`

### getNullable

    public AllowNullType getNullable()

  Description copied from class: `SybaseASABaseUserDefinedTypeImpl`

  Specified by:
    `getNullable` in interface `SybaseASABaseUserDefinedType`
  Overrides:
    `getNullable` in class `SybaseASABaseUserDefinedTypeImpl`
  Returns:
    the value of the 'Nullable' attribute.
  See Also:
    `AllowNullType`, `SybaseASABaseUserDefinedType.setNullable(AllowNullType)`, `SybaseasabasesqlmodelPackage.getSybaseASABaseUserDefinedType_Nullable()`

### getDefaultValue

    public java.lang.String getDefaultValue()

  Description copied from interface: `Domain`
  Returns the value of the 'Default Value' attribute.

  If the meaning of the 'Default Value' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getDefaultValue` in interface `Domain`
  Overrides:
    `getDefaultValue` in class `org.eclipse.datatools.modelbase.sql.datatypes.impl.DomainImpl`
  Returns:
    the value of the 'Default Value' attribute.
  See Also:
    `Domain.setDefaultValue(String)`, `SQLDataTypesPackage.getDomain_DefaultValue()`

### getConstraint

    public org.eclipse.emf.common.util.EList getConstraint()

  Description copied from interface: `Domain`
  Returns the value of the 'Constraint' containment reference list. The list contents are of type `CheckConstraint`.

  If the meaning of the 'Constraint' containment reference list isn't clear, there really should be more of a description here...

  Specified by:
    `getConstraint` in interface `Domain`
  Overrides:
    `getConstraint` in class `org.eclipse.datatools.modelbase.sql.datatypes.impl.DomainImpl`
  Returns:
    the value of the 'Constraint' containment reference list.
  See Also:
    `SQLDataTypesPackage.getDomain_Constraint()`

### getSuperConstraint

    public org.eclipse.emf.common.util.EList getSuperConstraint()

### getSQLObject

    public static SQLObject getSQLObject(java.util.List sqlObjs,
                                         java.lang.String objName)

### getAdapter

    public java.lang.Object getAdapter(java.lang.Class adapter)

  Specified by:
    `getAdapter` in interface `org.eclipse.core.runtime.IAdaptable`